%define major		0

%define name		fox
%define version		1.0.3
%define release		1mdk

%define libname		lib%{name}%{major}

%define name_ex_apps_suf example-apps

%define name_ex_apps	%{name}-%{name_ex_apps_suf}

%define menu_package	%{name_ex_apps}
%define icon_name_calc	%{name}-calculator.png
%define icon_name_adie	%{name}-adie.png

Summary:	The FOX C++ GUI Toolkit
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/C
URL:		http://www.fox-toolkit.org
Source: 	%{name}-%{version}.tar.bz2
Source10:	%{name}_adie_16.png.bz2
Source11:	%{name}_adie_32.png.bz2
Source12:	%{name}_adie_48.png.bz2
Source20:	%{name}_calc_16.png.bz2
Source21:	%{name}_calc_32.png.bz2
Source22:	%{name}_calc_48.png.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	Mesa, libcups1
BuildRequires:	libMesaGLU-devel, libcups-devel

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{name_ex_apps}
Summary:	FOX example applications
Group:		Office
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-%{name_ex_apps_suf}
Provides:	%{libname}-%{name_ex_apps_suf}

%description -n %{name_ex_apps}
Editor, file browser and calculator, written with FOX

%package -n %{libname}
Summary:	The FOX C++ GUI Toolkit - Librairies
Group:		System/Libraries

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}-devel
Summary:	FOX header files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libfox-devel

%description -n %{libname}-devel
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

This package contains the necessary files to develop applications
with FOX.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --with-opengl=mesa --enable-cups

%make GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

cp -p pathfinder/PathFinder $RPM_BUILD_ROOT/usr/bin

mkdir -p %{buildroot}%{_menudir}

cat << EOF > %{buildroot}%{_menudir}/%{name}-calculator
?package(%{menu_package}):\
	needs="X11"\
	section="Applications/Sciences/Mathematics"\
	title="FOX Calculator"\
	longtitle="Calculator using the FOX toolkit"\
	command="%{_bindir}/calculator"\
	icon=%{icon_name_calc}
EOF

cat << EOF > %{buildroot}%{_menudir}/%{name}-adie
?package(%{menu_package}):\
	needs="X11"\
	section="Applications/Editors"\
	title="FOX Adie"\
	longtitle="A.D.I.E. - Advanced Interactive Editor using the FOX toolkit"\
	command="%{_bindir}/adie"\
	icon=%{icon_name_adie}
EOF

mkdir -p %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
bzip2 -cd %{SOURCE10} > %{buildroot}%{_miconsdir}/%{icon_name_adie}
bzip2 -cd %{SOURCE11} > %{buildroot}%{_iconsdir}/%{icon_name_adie}
bzip2 -cd %{SOURCE12} > %{buildroot}%{_liconsdir}/%{icon_name_adie}

bzip2 -cd %{SOURCE20} > %{buildroot}%{_miconsdir}/%{icon_name_calc}
bzip2 -cd %{SOURCE21} > %{buildroot}%{_iconsdir}/%{icon_name_calc}
bzip2 -cd %{SOURCE22} > %{buildroot}%{_liconsdir}/%{icon_name_calc}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{name_ex_apps}
%{update_menus}

%postun -n %{name_ex_apps}
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc
%doc ADDITIONS AUTHORS INSTALL LICENSE README TRACING
%doc %{_mandir}/*/*
%{_bindir}/reswrap

%files -n %{name_ex_apps}
%defattr(-,root,root)
%{_bindir}/calculator
# %{_bindir}/PathFinder
%{_bindir}/adie
%{_menudir}/%{name}-calculator
%{_menudir}/%{name}-adie
%{_miconsdir}/%{icon_name_adie}
%{_iconsdir}/%{icon_name_adie}
%{_liconsdir}/%{icon_name_adie}
%{_miconsdir}/%{icon_name_calc}
%{_iconsdir}/%{icon_name_calc}
%{_liconsdir}/%{icon_name_calc}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/fox
%{_includedir}/fox/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu Mar 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Thu Mar 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.189-1mdk
- 0.99.189

* Thu Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.188-1mdk
- 0.99.188

* Thu Dec 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.187-1mdk
- 0.99.187

* Mon Dec 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.185-1mdk
- 0.99.185
- BTW: 0.99.182-3mdk never made it to the mirrors

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-3mdk
- Plain rebuild, some packages were broken

* Fri Dec 14 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-2mdk
- Fix requires for libcups1

* Tue Dec 11 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 0.99.182-1mdk
- 0.99.182

* Wed Dec  4 2001 Alexander Skwar <ASkwar@DigitalProjects.com> 0.99.181-1mdk
- 0.99.181
- Moved the example-apps from the lib package to the main package, and make
  it obsolete the old %{libname}-%{name_ex_apps_suf} package
- Changed group of example-apps to Office (was: Development/C)
- Fixed URL
- Build with CUPS support
- Add example-apps to menu
- Don't package PathFinder - it's a libtool shell script trying to do
  something, however, I don't know how to fix it...

* Wed Nov 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.179-1mdk
- 0.99.179

* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.177-1mdk
- 0.99.177

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.176-1mdk
- 0.99.176

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.175-2mdk
- rebuild against new libpng

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.175-1mdk
- 0.99.175

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.174-1mdk
- 0.99.174

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.173-1mdk
- updated to 0.99.173

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-2mdk
- fix requires

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-1mdk
- updated to 0.99.164
- split

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.147-1mdk
- updated to 0.99.147-1mdk
- removing --enable-release fix build with gcc-2.96

* Fri Oct 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.132-1mdk
- used srpm from David Sugar <dyfet@ostel.com> :
	fix to assure -frtti is not disabled.
- add macros & bm
- added devel package

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.122-1
- new version

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.119-1
- new version

* Sun Mar 05 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b>
- some adaptations

* Tue Nov 10 1998 Ren van Paassen <M.M.vanPaassen@lr.tudelft.nl>
- initial package
